# timesheets

ONF Timesheets Web App

This role deploys the timesheets web application, found in these two repos:

- https://github.com/opennetworkinglab/timesheetsdb
- https://github.com/opennetworkinglab/timesheetsui

See the configuration variables given in the `defaults/main.yml` file for the
database connection, and external service credentials.

Also requires a private key from Docusign, stored in a file named
`docusignPrivate.key` somewhere in the file lookup path.

## Requirements

Requires PostgreSQL, Node.js, and NGINX to be installed as well.

Minimum ansible version: 2.9.5

## Example Playbook

```yaml
- hosts: all
  roles:
    - timesheets
```

## License and Author

© 2020 Open Networking Foundation <support@opennetworking.org>

License: Apache-2.0
